From 656b2a5547aef455a0aa66024304e9f230eb14f6 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Wed, 27 Jul 2016 19:07:30 +0200
Subject: [PATCH 1/9] Clean up whitespace in a few headers.

In preparation for further namespace cleanup.
---
 sys/netinet/tcp.h | 70 ++++++++++++++++++++++++-------------------------
 sys/sys/aio.h     |  3 +--
 sys/sys/ipc.h     |  7 +++--
 sys/sys/msg.h     | 12 ++++-----
 sys/sys/sem.h     | 34 ++++++++++++------------
 sys/sys/shm.h     | 26 +++++++++----------
 sys/sys/stat.h    |  4 +--
 sys/sys/types.h   | 78 +++++++++++++++++++++++++++----------------------------
 8 files changed, 116 insertions(+), 118 deletions(-)

diff --git a/sys/netinet/tcp.h b/sys/netinet/tcp.h
index 5f67c67..4e97632 100644
--- a/sys/netinet/tcp.h
+++ b/sys/netinet/tcp.h
@@ -31,18 +31,18 @@
  */
 
 #ifndef _NETINET_TCP_H_
-#define _NETINET_TCP_H_
+#define	_NETINET_TCP_H_
 
 #ifndef _SYS_TYPES_H_
 #include <sys/types.h>
 #endif
 #include <machine/endian.h>
 
-typedef	u_int32_t tcp_seq;
-typedef int32_t	  tcp_seq_diff_t;
+typedef	u_int32_t	tcp_seq;
+typedef	int32_t		tcp_seq_diff_t;
 
-#define tcp6_seq	tcp_seq	/* for KAME src sync over BSD*'s */
-#define tcp6hdr		tcphdr	/* for KAME src sync over BSD*'s */
+#define	tcp6_seq	tcp_seq	/* for KAME src sync over BSD*'s */
+#define	tcp6hdr		tcphdr	/* for KAME src sync over BSD*'s */
 
 /*
  * TCP header.
@@ -80,31 +80,31 @@ struct tcphdr {
 
 #define	TCPOPT_EOL		0
 #define	TCPOPT_NOP		1
-#define TCPOPT_2NOPs		(TCPOPT_NOP << 24 | TCPOPT_NOP << 16)
+#define	TCPOPT_2NOPs		(TCPOPT_NOP << 24 | TCPOPT_NOP << 16)
 #define	TCPOPT_MAXSEG		2
-#define    TCPOLEN_MAXSEG		4
-#define TCPOPT_WINDOW		3
-#define    TCPOLEN_WINDOW		3
-#define TCPOPT_SACK_PERMITTED	4
-#define    TCPOLEN_SACK_PERMITTED		2
+#define	   TCPOLEN_MAXSEG		4
+#define	TCPOPT_WINDOW		3
+#define	   TCPOLEN_WINDOW		3
+#define	TCPOPT_SACK_PERMITTED	4
+#define	   TCPOLEN_SACK_PERMITTED		2
 #define	   TCPOPT_SACK_PERMITTED_ALIGNED	\
     (TCPOPT_2NOPs | TCPOPT_SACK_PERMITTED << 8 | TCPOLEN_SACK_PERMITTED)
-#define    TCPOLEN_SACK_PERMITTED_ALIGNED	4
-#define TCPOPT_SACK		5
+#define	   TCPOLEN_SACK_PERMITTED_ALIGNED	4
+#define	TCPOPT_SACK		5
 #define	   TCPOLEN_SACK		2
 #define	   TCPOLEN_SACK_BLOCK	8
-#define TCPOPT_SACK_ALIGNED	(TCPOPT_2NOPs | TCPOPT_SACK << 8)
+#define	TCPOPT_SACK_ALIGNED	(TCPOPT_2NOPs | TCPOPT_SACK << 8)
 #define	   TCPOLEN_SACK_ALIGNED	4
-#define TCPOPT_TIMESTAMP	8
-#define    TCPOLEN_TIMESTAMP		10
-#define    TCPOLEN_TSTAMP_APPA		(TCPOLEN_TIMESTAMP+2) /* appendix A */
-#define    TCPOPT_TSTAMP_HDR		\
+#define	TCPOPT_TIMESTAMP	8
+#define	   TCPOLEN_TIMESTAMP		10
+#define	   TCPOLEN_TSTAMP_APPA		(TCPOLEN_TIMESTAMP+2) /* appendix A */
+#define	   TCPOPT_TSTAMP_HDR		\
     (TCPOPT_2NOPs | TCPOPT_TIMESTAMP << 8 | TCPOLEN_TIMESTAMP)
 #define	TCPOPT_CC		11		/* CC options: RFC-1644 */
-#define TCPOPT_CCNEW		12
-#define TCPOPT_CCECHO		13
-#define TCPOPT_SIGNATURE		19      /* Keyed MD5: RFC 2385 */
-#define TCPOLEN_SIGNATURE		18
+#define	TCPOPT_CCNEW		12
+#define	TCPOPT_CCECHO		13
+#define	TCPOPT_SIGNATURE		19      /* Keyed MD5: RFC 2385 */
+#define	TCPOLEN_SIGNATURE		18
 
 /*
  * Default maximum segment size for TCP.
@@ -139,13 +139,13 @@ struct tcphdr {
 
 #define	TCP_MAXWIN		65535	/* max value for (unscaled) window */
 
-#define TCP_MIN_WINSHIFT	5	/* requested minimum (x32) */
-#define TCP_MAX_WINSHIFT	14	/* maximum window shift */
+#define	TCP_MIN_WINSHIFT	5	/* requested minimum (x32) */
+#define	TCP_MAX_WINSHIFT	14	/* maximum window shift */
 
-#define TCP_MAXBURST		4	/* maximum segments in a burst */
+#define	TCP_MAXBURST		4	/* maximum segments in a burst */
 
-#define TCP_MAXHLEN	(0xf<<2)	/* max length of header in bytes */
-#define TCP_MAXOLEN	(TCP_MAXHLEN - sizeof(struct tcphdr))
+#define	TCP_MAXHLEN	(0xf<<2)	/* max length of header in bytes */
+#define	TCP_MAXOLEN	(TCP_MAXHLEN - sizeof(struct tcphdr))
 					/* max space left for options */
 
 /*
@@ -153,14 +153,14 @@ struct tcphdr {
  */
 #define	TCP_NODELAY	0x01	/* don't delay send to coalesce packets */
 #define	TCP_MAXSEG	0x02	/* set maximum segment size */
-#define TCP_NOPUSH	0x04	/* don't push last block of write */
-#define TCP_NOOPT	0x08	/* don't use TCP options */
-#define TCP_SIGNATURE_ENABLE    0x10    /* use MD5 digests (RFC2385) */
-#define TCP_KEEPINIT	0x20	/* set max time to establish connection */
+#define	TCP_NOPUSH	0x04	/* don't push last block of write */
+#define	TCP_NOOPT	0x08	/* don't use TCP options */
+#define	TCP_SIGNATURE_ENABLE    0x10    /* use MD5 digests (RFC2385) */
+#define	TCP_KEEPINIT	0x20	/* set max time to establish connection */
 /* 0x40 unused */
-#define TCP_FASTKEEP	0x80
-#define TCP_KEEPIDLE	0x100	/* set time before keepalive probes begin */
-#define TCP_KEEPINTVL	0x200	/* set time between keepalive probes */
-#define TCP_KEEPCNT	0x400	/* set max number of keepalive probes */
+#define	TCP_FASTKEEP	0x80
+#define	TCP_KEEPIDLE	0x100	/* set time before keepalive probes begin */
+#define	TCP_KEEPINTVL	0x200	/* set time between keepalive probes */
+#define	TCP_KEEPCNT	0x400	/* set max number of keepalive probes */
 
 #endif
diff --git a/sys/sys/aio.h b/sys/sys/aio.h
index 03a68cb..621f43b 100644
--- a/sys/sys/aio.h
+++ b/sys/sys/aio.h
@@ -14,7 +14,6 @@
  * of the author.  This software is distributed AS-IS.
  *
  * $FreeBSD: src/sys/sys/aio.h,v 1.13.2.8 2002/08/31 03:18:23 alc Exp $
- * $DragonFly: src/sys/sys/aio.h,v 1.5 2007/04/22 01:13:16 dillon Exp $
  */
 
 #ifndef _SYS_AIO_H_
@@ -50,7 +49,7 @@
  * LIO opcodes
  */
 #define	LIO_NOP			0x0
-#define LIO_WRITE		0x1
+#define	LIO_WRITE		0x1
 #define	LIO_READ		0x2
 
 /*
diff --git a/sys/sys/ipc.h b/sys/sys/ipc.h
index 063c653..1647e91 100644
--- a/sys/sys/ipc.h
+++ b/sys/sys/ipc.h
@@ -38,14 +38,13 @@
  *
  *	@(#)ipc.h	8.4 (Berkeley) 2/19/95
  * $FreeBSD: src/sys/sys/ipc.h,v 1.15 1999/12/29 04:24:43 peter Exp $
- * $DragonFly: src/sys/sys/ipc.h,v 1.5 2006/05/20 02:42:13 dillon Exp $
  */
 
 /*
  * SVID compatible ipc.h file
  */
 #ifndef _SYS_IPC_H_
-#define _SYS_IPC_H_
+#define	_SYS_IPC_H_
 
 #ifndef _SYS_TYPES_H_
 #include <sys/types.h>
@@ -90,7 +89,7 @@ struct proc;
 
 #ifdef _KERNEL
 
-int	ipcperm (struct proc *, struct ipc_perm *, int);
+int	ipcperm(struct proc *, struct ipc_perm *, int);
 
 #else /* ! _KERNEL */
 
@@ -99,7 +98,7 @@ int	ipcperm (struct proc *, struct ipc_perm *, int);
 #include <sys/cdefs.h>
 
 __BEGIN_DECLS
-key_t	ftok (const char *, int);
+key_t	ftok(const char *, int);
 __END_DECLS
 
 #endif /* _KERNEL */
diff --git a/sys/sys/msg.h b/sys/sys/msg.h
index fc95e05..d3f52d0 100644
--- a/sys/sys/msg.h
+++ b/sys/sys/msg.h
@@ -21,7 +21,7 @@
  */
 
 #ifndef _SYS_MSG_H_
-#define _SYS_MSG_H_
+#define	_SYS_MSG_H_
 
 #include <sys/ipc.h>
 
@@ -30,7 +30,7 @@
  * are as defined by the SV API Intel 386 Processor Supplement.
  */
 
-#define MSG_NOERROR	010000		/* don't complain about too long msgs */
+#define	MSG_NOERROR	010000		/* don't complain about too long msgs */
 
 typedef	unsigned long	msglen_t;
 typedef	unsigned long	msgqnum_t;
@@ -107,10 +107,10 @@ extern struct msginfo	msginfo;
 #include <sys/cdefs.h>
 
 __BEGIN_DECLS
-int msgctl (int, int, struct msqid_ds *);
-int msgget (key_t, int);
-int msgsnd (int, const void *, size_t, int);
-int msgrcv (int, void *, size_t, long, int); /* XXX should return ssize_t */
+int	msgctl(int, int, struct msqid_ds *);
+int	msgget(key_t, int);
+int	msgsnd(int, const void *, size_t, int);
+int	msgrcv(int, void *, size_t, long, int); /* XXX should return ssize_t */
 __END_DECLS
 #endif
 
diff --git a/sys/sys/sem.h b/sys/sys/sem.h
index 0549f5a..e1a15d4 100644
--- a/sys/sys/sem.h
+++ b/sys/sys/sem.h
@@ -8,7 +8,7 @@
  */
 
 #ifndef _SYS_SEM_H_
-#define _SYS_SEM_H_
+#define	_SYS_SEM_H_
 
 #include <sys/ipc.h>
 
@@ -47,9 +47,9 @@ struct sembuf {
 	short	sem_op;		/* semaphore operation */
 	short	sem_flg;	/* operation flags */
 };
-#define SEM_UNDO	010000
+#define	SEM_UNDO	010000
 
-#define MAX_SOPS	5	/* maximum # of sembuf's per semop call */
+#define	MAX_SOPS	5	/* maximum # of sembuf's per semop call */
 
 /*
  * semctl's arg parameter structure
@@ -63,20 +63,20 @@ union semun {
 /*
  * commands for semctl
  */
-#define GETNCNT	3	/* Return the value of semncnt {READ} */
-#define GETPID	4	/* Return the value of sempid {READ} */
-#define GETVAL	5	/* Return the value of semval {READ} */
-#define GETALL	6	/* Return semvals into arg.array {READ} */
-#define GETZCNT	7	/* Return the value of semzcnt {READ} */
-#define SETVAL	8	/* Set the value of semval to arg.val {ALTER} */
-#define SETALL	9	/* Set semvals from arg.array {ALTER} */
-#define SEM_STAT 10	/* Like IPC_STAT but treats semid as sema-index */
+#define	GETNCNT	3	/* Return the value of semncnt {READ} */
+#define	GETPID	4	/* Return the value of sempid {READ} */
+#define	GETVAL	5	/* Return the value of semval {READ} */
+#define	GETALL	6	/* Return semvals into arg.array {READ} */
+#define	GETZCNT	7	/* Return the value of semzcnt {READ} */
+#define	SETVAL	8	/* Set the value of semval to arg.val {ALTER} */
+#define	SETALL	9	/* Set semvals from arg.array {ALTER} */
+#define	SEM_STAT 10	/* Like IPC_STAT but treats semid as sema-index */
 
 /*
  * Permissions
  */
-#define SEM_A		0200	/* alter permission */
-#define SEM_R		0400	/* read permission */
+#define	SEM_A		0200	/* alter permission */
+#define	SEM_R		0400	/* read permission */
 
 #if defined(_KERNEL) || defined(_KERNEL_STRUCTURES)
 
@@ -107,7 +107,7 @@ struct seminfo {
 /*
  * Process sem_undo vectors at proc exit.
  */
-void	semexit (struct proc *p);
+void	semexit(struct proc *p);
 extern struct seminfo	seminfo;
 
 #endif
@@ -116,9 +116,9 @@ extern struct seminfo	seminfo;
 #include <sys/cdefs.h>
 
 __BEGIN_DECLS
-int semctl (int, int, int, ...);
-int semget (key_t, int, int);
-int semop (int, struct sembuf *,unsigned);
+int	semctl(int, int, int, ...);
+int	semget(key_t, int, int);
+int	semop(int, struct sembuf *, unsigned);
 __END_DECLS
 #endif /* !_KERNEL */
 
diff --git a/sys/sys/shm.h b/sys/sys/shm.h
index 8bfc58a..35438d9 100644
--- a/sys/sys/shm.h
+++ b/sys/sys/shm.h
@@ -37,20 +37,20 @@
  */
 
 #ifndef _SYS_SHM_H_
-#define _SYS_SHM_H_
+#define	_SYS_SHM_H_
 
 #include <sys/ipc.h>
 
-#define SHM_RDONLY  010000  /* Attach read-only (else read-write) */
-#define SHM_RND     020000  /* Round attach address to SHMLBA */
-#define SHMLBA      PAGE_SIZE /* Segment low boundary address multiple */
+#define	SHM_RDONLY  010000  /* Attach read-only (else read-write) */
+#define	SHM_RND     020000  /* Round attach address to SHMLBA */
+#define	SHMLBA      PAGE_SIZE /* Segment low boundary address multiple */
 
 /* "official" access mode definitions; somewhat braindead since you have
    to specify (SHM_* >> 3) for group and (SHM_* >> 6) for world permissions */
-#define SHM_R       (IPC_R)
-#define SHM_W       (IPC_W)
+#define	SHM_R       (IPC_R)
+#define	SHM_W       (IPC_W)
 
-typedef unsigned int	shmatt_t;
+typedef	unsigned int	shmatt_t;
 
 struct shmid_ds {
 	struct ipc_perm shm_perm;	/* operation permission structure */
@@ -87,18 +87,18 @@ extern struct shminfo	shminfo;
 struct proc;
 struct vmspace;
 
-void	shmexit (struct vmspace *);
-void	shmfork (struct proc *, struct proc *);
+void	 shmexit(struct vmspace *);
+void	 shmfork(struct proc *, struct proc *);
 
 #else /* !_KERNEL */
 
 #include <sys/cdefs.h>
 
 __BEGIN_DECLS
-int shmget (key_t, size_t, int);
-int shmctl (int, int, struct shmid_ds *);
-void *shmat  (int, const void *, int);
-int shmdt  (const void *);
+int	 shmget(key_t, size_t, int);
+int	 shmctl(int, int, struct shmid_ds *);
+void	*shmat(int, const void *, int);
+int	 shmdt(const void *);
 __END_DECLS
 
 #endif /* !_KERNEL */
diff --git a/sys/sys/stat.h b/sys/sys/stat.h
index 12a7cde..6a3b782 100644
--- a/sys/sys/stat.h
+++ b/sys/sys/stat.h
@@ -183,7 +183,7 @@ struct stat {
 #define	UF_FBSDRSVD20	0x00000020	/* (unused) */
 #define	UF_NOHISTORY	0x00000040	/* do not retain history/snapshots */
 #define	UF_CACHE	0x00000080	/* enable data swapcache */
-#define UF_XLINK	0x00000100	/* cross-link (hardlink) boundary */
+#define	UF_XLINK	0x00000100	/* cross-link (hardlink) boundary */
 
 /*
  * Super-user changeable flags.
@@ -196,7 +196,7 @@ struct stat {
 #define	SF_FBSDRSVD20	0x00200000	/* (used by FreeBSD for snapshots) */
 #define	SF_NOHISTORY	0x00400000	/* do not retain history/snapshots */
 #define	SF_NOCACHE	0x00800000	/* disable data swapcache */
-#define SF_XLINK	0x01000000	/* cross-link (hardlink) boundary */
+#define	SF_XLINK	0x01000000	/* cross-link (hardlink) boundary */
 
 #ifdef _KERNEL
 /*
diff --git a/sys/sys/types.h b/sys/sys/types.h
index 74fd736..d9098b3 100644
--- a/sys/sys/types.h
+++ b/sys/sys/types.h
@@ -68,29 +68,29 @@ typedef	unsigned int	uint;		/* Sys V compatibility */
 typedef	unsigned long	ulong;		/* Sys V compatibility */
 #endif
 
-typedef __uint8_t	u_int8_t;
-typedef __uint16_t	u_int16_t;
-typedef __uint32_t	u_int32_t;
-typedef __uint64_t	u_int64_t;
+typedef	__uint8_t	u_int8_t;
+typedef	__uint16_t	u_int16_t;
+typedef	__uint32_t	u_int32_t;
+typedef	__uint64_t	u_int64_t;
 typedef	__uint64_t	u_quad_t;	/* quads */
 typedef	__int64_t	quad_t;
 typedef	quad_t *	qaddr_t;
 
-typedef __int64_t	blkcnt_t;	/* file block count */
-typedef __int64_t	blksize_t;	/* block size */
+typedef	__int64_t	blkcnt_t;	/* file block count */
+typedef	__int64_t	blksize_t;	/* block size */
 typedef	char *		caddr_t;	/* core address */
 typedef	const char *	c_caddr_t;	/* core address, pointer to const */
 typedef	volatile char *	v_caddr_t;	/* core address, pointer to volatile */
 typedef	__int32_t	daddr_t;	/* disk address */
 typedef	__uint32_t	u_daddr_t;	/* unsigned disk address */
 typedef	__uint32_t	fixpt_t;	/* fixed point number */
-typedef __uint64_t	fsblkcnt_t;	/* filesystem block count */
-typedef __uint64_t	fsfilcnt_t;	/* filesystem file count */
+typedef	__uint64_t	fsblkcnt_t;	/* filesystem block count */
+typedef	__uint64_t	fsfilcnt_t;	/* filesystem file count */
 #ifndef _GID_T_DECLARED
 typedef	__uint32_t	gid_t;		/* group id */
 #define	_GID_T_DECLARED
 #endif
-typedef __int64_t	id_t;		/* general id, can hold gid/pid/uid_t */
+typedef	__int64_t	id_t;		/* general id, can hold gid/pid/uid_t */
 typedef	__uint32_t	in_addr_t;	/* base type for internet address */
 typedef	__uint16_t	in_port_t;
 typedef	__uint64_t	ino_t;		/* inode number */
@@ -99,11 +99,11 @@ typedef	__uint16_t	mode_t;		/* permissions */
 typedef	__uint32_t	nlink_t;	/* link count */
 #ifndef _OFF_T_DECLARED
 typedef	__off_t		off_t;		/* file offset */
-#define _OFF_T_DECLARED
+#define	_OFF_T_DECLARED
 #endif
 #ifndef _PID_T_DECLARED
 typedef	__pid_t		pid_t;		/* process id */
-#define _PID_T_DECLARED
+#define	_PID_T_DECLARED
 #endif
 typedef	__pid_t		lwpid_t;	/* light weight process id */
 typedef	quad_t		rlim_t;		/* resource limit */
@@ -119,7 +119,7 @@ typedef	int		mqd_t;		/* message queue descriptor */
 #if defined(_KERNEL) || defined(_KERNEL_STRUCTURES)
 
 #ifndef __BOOLEAN_T_DEFINED__
-#define __BOOLEAN_T_DEFINED__
+#define	__BOOLEAN_T_DEFINED__
 typedef	__boolean_t	boolean_t;
 #endif
 
@@ -138,7 +138,7 @@ typedef	u_int64_t	uoff_t;
 struct cdev;
 
 typedef	u_int32_t	udev_t;		/* device number */
-typedef struct cdev	*cdev_t;
+typedef	struct cdev	*cdev_t;
 
 #endif
 
@@ -149,13 +149,13 @@ typedef struct cdev	*cdev_t;
  */
 #ifdef _KERNEL
 
-#define offsetof(type, field) __offsetof(type, field)
-typedef udev_t		dev_t;		/* device number */
+#define	offsetof(type, field) __offsetof(type, field)
+typedef	udev_t		dev_t;		/* device number */
 
 #else
 
 typedef	u_int32_t	dev_t;		/* device number */
-#define udev_t dev_t
+#define	udev_t dev_t
 
 #ifndef _POSIX_SOURCE
 
@@ -164,42 +164,42 @@ typedef	u_int32_t	dev_t;		/* device number */
  * change the meanings of bits 0-15 or waste time and space shifting
  * bits 16-31 for devices that don't use them.
  */
-#define major(x)        ((int)(((u_int)(x) >> 8)&0xff)) /* major number */
-#define minor(x)        ((int)((x)&0xffff00ff))         /* minor number */
-#define makedev(x,y)    ((dev_t)(((x) << 8) | (y)))     /* create dev_t */
+#define	major(x)	((int)(((u_int)(x) >> 8)&0xff)) /* major number */
+#define	minor(x)	((int)((x)&0xffff00ff))         /* minor number */
+#define	makedev(x,y)	((dev_t)(((x) << 8) | (y)))     /* create dev_t */
 
 #endif /* _POSIX_SOURCE */
 
 #endif /* !_KERNEL */
 
 #ifndef _CLOCK_T_DECLARED
-#define _CLOCK_T_DECLARED
+#define	_CLOCK_T_DECLARED
 typedef	__clock_t	clock_t;
 #endif
 
 #ifndef _CLOCKID_T_DECLARED
-#define _CLOCKID_T_DECLARED
-typedef __clockid_t	clockid_t;
+#define	_CLOCKID_T_DECLARED
+typedef	__clockid_t	clockid_t;
 #endif
 
 #ifndef _SIZE_T_DECLARED
-#define _SIZE_T_DECLARED
-typedef __size_t	size_t;
+#define	_SIZE_T_DECLARED
+typedef	__size_t	size_t;
 #endif
 
 #ifndef _SSIZE_T_DECLARED
-#define _SSIZE_T_DECLARED
-typedef __ssize_t	ssize_t;
+#define	_SSIZE_T_DECLARED
+typedef	__ssize_t	ssize_t;
 #endif
 
 #ifndef _TIME_T_DECLARED
-#define _TIME_T_DECLARED
-typedef __time_t	time_t;
+#define	_TIME_T_DECLARED
+typedef	__time_t	time_t;
 #endif
 
 #ifndef _TIMER_T_DECLARED
-#define _TIMER_T_DECLARED
-typedef __timer_t	timer_t;
+#define	_TIMER_T_DECLARED
+typedef	__timer_t	timer_t;
 #endif
 
 #if __BSD_VISIBLE
@@ -207,7 +207,7 @@ typedef __timer_t	timer_t;
 #include <sys/fd_set.h>
 #include <sys/_timeval.h>
 
-#define NBBY 8		/* number of bits in a byte */
+#define	NBBY 8		/* number of bits in a byte */
 /*
  * These declarations belong elsewhere, but are repeated here and in
  * <stdio.h> to give broken programs a better chance of working with
@@ -217,19 +217,19 @@ typedef __timer_t	timer_t;
 __BEGIN_DECLS
 #ifndef _FTRUNCATE_DECLARED
 #define	_FTRUNCATE_DECLARED
-int	 ftruncate (int, off_t);
+int	 ftruncate(int, off_t);
 #endif
 #ifndef _LSEEK_DECLARED
 #define	_LSEEK_DECLARED
-off_t	 lseek (int, off_t, int);
+off_t	 lseek(int, off_t, int);
 #endif
 #ifndef _MMAP_DECLARED
 #define	_MMAP_DECLARED
-void *	 mmap (void *, size_t, int, int, int, off_t);
+void *	 mmap(void *, size_t, int, int, int, off_t);
 #endif
 #ifndef _TRUNCATE_DECLARED
 #define	_TRUNCATE_DECLARED
-int	 truncate (const char *, off_t);
+int	 truncate(const char *, off_t);
 #endif
 __END_DECLS
 #endif /* !_KERNEL */
@@ -254,7 +254,7 @@ __END_DECLS
 typedef	int		__ct_rune_t;	/* arg type for ctype funcs */
 #ifndef ___RUNE_T_DECLARED
 typedef	__ct_rune_t	__rune_t;	/* rune_t (see above) */
-#define ___RUNE_T_DECLARED
+#define	___RUNE_T_DECLARED
 #endif
 #ifndef ___WINT_T_DECLARED
 typedef	__ct_rune_t	__wint_t;	/* wint_t (see above) */
@@ -264,12 +264,12 @@ typedef	__ct_rune_t	__wint_t;	/* wint_t (see above) */
 /*
  * Also required for locale support
  */
-typedef int		__nl_item;
+typedef	int		__nl_item;
 
 /* Clang already provides these types as built-ins, but only in c++ mode. */
 #if !defined(__clang__) || !defined(__cplusplus)
-typedef __uint_least16_t	__char16_t;
-typedef __uint_least32_t	__char32_t;
+typedef	__uint_least16_t	__char16_t;
+typedef	__uint_least32_t	__char32_t;
 #endif
 
 #endif /* !_SYS_TYPES_H_ */
-- 
2.9.0

